#ifndef COOLANT_TEMP_H
#define COOLANT_TEMP_H
#include "common.h"
typedef enum{
    CoolantTempSensorNormal = 0,
    CoolantTempSensorShortCircuit,
    CoolantTempSensorOpenCircuit,
}CoolantTempSensorSts_t;

extern uint32_t  tempFaultCode; 

extern void CoolantTemp_KL15_Init(void);
extern void CoolantTemp_KL30_Init(void);
extern void CoolantTemp_Cal_Sevice(uint8_t deltaTime);
extern uint8_t Get_CoolantTemp_Step(void);
extern CoolantTempSensorSts_t Get_CoolantTemp_Sensor_State(void);
extern uint8_t Get_CoolantTemp_Disp_Byte(void);
extern uint8_t Get_CoolantTemp_Alarm(void);
extern int16_t Get_CoolantTempValue(void);
extern void Reset_CoolantTemp_Signal_Time(void);
extern uint8_t Get_CoolantTemp_Signal_Connect(void);
extern void CoolantTemp_Signal_Time_Service(uint8_t deltaTime);
#endif

